中危 ADMesh 缓冲区错误漏洞(CVE-2018-25033)

CVE编号

CVE-2018-25033

利用情况

暂无

补丁情况

官方补丁

披露时间

2022-05-08
漏洞描述
ADMesh是一个用于处理三角实体网格的程序。

ADMesh 0.98.4版本及之前版本存在缓冲区错误漏洞,该漏洞源于libadmesh.a中connect.c的stl_update_connects_remove_1(从 stl_remove_degenerate 调用)存在一个基于堆的越界读取。
解决建议
目前厂商已发布升级补丁以修复漏洞,补丁获取链接:

https://github.com/admesh/admesh/pull/55
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 admesh_project admesh * Up to
(including)
0.98.4
阿里云评分
6.2
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    全局影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    数据泄露
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-125 跨界内存读
阿里云安全产品覆盖情况